<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
          integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
          integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg=="
          crossorigin="anonymous" referrerpolicy="no-referrer"/>

    <!-- JQuery core and JQuery UI-->
    <script src="	https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.13.2/jquery-ui.js" integrity="sha256-xLD7nhI62fcsEZK2/v8LsBcb4lG7dgULkuXoXB/j91c=" crossorigin="anonymous"></script>

    <!-- Include Leaflet CSS -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
          integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
          crossorigin=""/>

    <!-- Include the Leaflet JavaScript library -->
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>

    <!-- Include the Leaflet Geocoder plugin -->
    <script src="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css"/>

</head>
<body>
<div class="container">
    <div class="container-fluid">

        <form id="client_form" class="">
            <div class="row mb-1 mt-1">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="ma_ngan_hang">Mã tài sản so sánh <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control"
                                   name="ma_ngan_hang"
                                   placeholder="Mã tài sản so sánh"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="ten_ngan_hang">Thời điểm thu thập<span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="date" class="form-control"
                                   name="ten_ngan_hang"
                                   placeholder="Nhập thời điểm thu thập"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mb-1 mt-1">

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="ten_khachhang">Nguồn thông tin<span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control"
                                   name="chi_nhanh"
                                   placeholder="Nhập nguồn thông tin"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="phong_giao_dich">Thông tin liên hệ
                                    <span class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control"
                                   name="phong_giao_dich"
                                   placeholder="Nhập thông tin liên hệ"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mb-1 mt-1">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-lg-12">
                            <h5 class="pt-2 font-weight-bold" for="dia_chi">Địa chỉ tài sản</h5>
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="d-flex left-mobile">
                                <h5 class="pt-2 font-weight-bold" for="ten_nhanvien">Vị trí trên bản đồ</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mb-1 mt-1">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="city">Thành phố/ Tỉnh
                                    <span class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control"
                                   name="city"
                                   id="city"
                                   placeholder="Nhập địa chỉ"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="ten_nhanvien">Tọa độ tài sản
                                    <span class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   value="" width="100%">
                        </div>
                    </div>
                </div>
            </div>


            <div class="row mb-1 mt-1">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Quận/ huyện <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   id="district"
                                   value="" width="100%">
                        </div>
                    </div>
                    <div class="row mt-1">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Phường/ Xã <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   id="ward"
                                   value="" width="100%">
                        </div>
                    </div>
                    <div class="row mt-1">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Tên đường <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   id="street"
                                   value="" width="100%">
                        </div>
                    </div>

                    <div class="row mt-1">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Hẻm/ Đường nội bộ <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   value="" width="100%">
                        </div>
                    </div>

                    <div class="row mt-1">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Tên dự án <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   value="" width="100%">
                        </div>
                    </div>

                    <div class="row mt-1">
                        <div class="col-md-4">
                            <div class="d-flex flex-row-reverse left-mobile">
                                <label class="pt-2" for="trangthai">Số nhà <span
                                        class="text-danger">*</span></label>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <input class="input-area expanded-field" type="text" class="form-control" name="ngaytao"
                                   placeholder="Nhập tọa độ tài sản"
                                   value="" width="100%">
                        </div>
                    </div>

                </div>

                <div class="col-md-6">
                    <div id="map" style="height: 360px; border: 3px solid #11557C"></div>
                </div>

            </div>

        </form>

        <button id="getValueButton">Get value</button>

    </div>
</div>
<script>
    var map = L.map('map').setView([10.773094, 106.679664], 12);

    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>',
        maxZoom: 18
    }).addTo(map);

    var markers = [];

    var coords = [
        [10.803076, 106.694710],
        [10.793445, 106.738378],
        [10.770941, 106.696395],
        [10.777951, 106.664991],
        [10.805819, 106.637689],
        [10.761291, 106.693047],
        [10.783922, 106.640048],
        [10.781333, 106.693545],
        [10.763833, 106.659148],
        [10.767847, 106.682364]
    ];

    for (var i = 0; i < coords.length; i++) {
        var marker = L.marker(coords[i], {
            icon: L.divIcon({
                className: 'fa-icon',
                html: '<i class="fas fa-map-marker-alt"></i>',
                iconSize: [30, 30]
            })
        }).addTo(map);
        markers.push(marker);
    }

    function addMarker(lat, lng) {
        var marker = L.marker([lat, lng], {
            icon: L.divIcon({
                className: 'fa-icon',
                html: '<i class="fas fa-map-marker-alt"></i>',
                iconSize: [30, 30]
            })
        }).addTo(map);
        markers.push(marker);
    }

    function removeMarkers() {
        for (var i = 0; i < markers.length; i++) {
            map.removeLayer(markers[i]);
        }
        markers = [];
    }


    $(document).on('keyup', '#city, #district, #ward, #street', function (e) {
        var city = $('#city').val();
        var district = $('#district').val();
        var ward = $('#ward').val();
        var street = $('#street').val();
        city = city.replace(/[^\w\s]/gi, '');
        district = district.replace(/[^\w\s]/gi, '');
        ward = ward.replace(/[^\w\s]/gi, '');
        street = street.replace(/[^\w\s]/gi, '');
        var address = `${street}, ${ward}, ${district}, ${city}`;

        function updateMap() {
            fetch(`https://nominatim.openstreetmap.org/search?format=json&q=${address}`)
                .then(res => res.json())
                .then(data => {
                    if (data && data[0]) {
                        var lat = data[0].lat;
                        var lng = data[0].lon;
                        map.setView([lat, lng], 12);
                    } else {
                        console.log("No data found");
                    }
                });
        }

        updateMap();
    });


</script>

</body>


</html>
